Name:		python3-pkgversion-macros
Version:	1
Release:	3%{?dist}
Summary:	Convenience macros for Fedora/EPEL Python 3 packages building

License:	MIT
# TODOL url
URL:		https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3
# Note: there is no way (AFAICS) to *not* define the %python3_other_pkgversion
#  for Fedora in a macro file, so let's just provide two different macro files
#  for EPEL and Fedora
Source0:    macros.python3-pkgversion.epel
Source1:    macros.python3-pkgversion.fedora

BuildArch:  noarch

%description
Package containing %%python3_pkgversion and %%python3_other_pkgversion
macros for convenient building subpackages for Python 3 stacks on both
Fedora and EPEL.

%install
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d/
cp -a \
%if 0%{?fedora}
%{SOURCE1} \
%else
%{SOURCE0} \
%endif
%{buildroot}%{_rpmconfigdir}/macros.d/macros.python3-pkgversion

%files
%{_rpmconfigdir}/macros.d/macros.python3-pkgversion

%changelog
* Tue Mar 24 2015 Matej Stuchlik <mstuchli@redhat.com> - 1-3
- Set buildarch to noarch

* Wed Feb 25 2015 Slavek Kabrda <bkabrda@redhat.com> - 1-2
- Use two sources for different macro files for Fedora/EPEL

* Wed Feb 25 2015 Slavek Kabrda <bkabrda@redhat.com> - 1-1
- Initial package.
